@import "../../../styles/mixins";

.modal {
  &__container {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(#000, 0.2);
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
  }

  &__content {
    background-color: #fff;
    width: 90%;
    border-radius: 0.5rem;
    padding: 1rem;
    position: relative;
    transition: all 0.5s ease-in-out;
    animation: zoomIn 0.3s;
    overflow-y: scroll;
    overflow-x: hidden;
    max-height: 75%;
    min-height: auto;
    @include scrollBar;

    @media screen and (min-width: 600px) {
      min-width: 50vh;
      width: 40rem;
      max-width: 80vw;

    }
  }

  &__close {
    position: absolute;
    top: 0;
    right: 0;
    padding: .5rem;
    background-color: #dd206f;
    margin: .5rem;
    border-radius: 10rem;
  }

  &__back {
    position: absolute;
    top: 0;
    left: 0;
    padding: .5rem;
    background-color: #dd206f;
    margin: .5rem;
    border-radius: 10rem;

    &_no_absolute {
      padding: .5rem;
      background-color: #dd206f;
      margin: .5rem;
      border-radius: 10rem;
    }
  }

  &__header {
    margin-bottom: 2rem;
    

    &_title {
      text-transform: uppercase;
      text-align: center;
      width: 70%;
    }

    &_content {
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }

    &_description {
      font-size: 1.4rem;
      line-height: 1.8rem;
    }
    &_logo {
      width: 25rem;
      margin-bottom: 1rem
    }
  }
}

.domain {
  &__search {
    &_spinner {}

    &_alternative {
      &_container {
        @include scrollBar;
        overflow-y: scroll;
        height: 50vh;
        padding: 1rem;
      }

      &_item {
        border: 0.1rem solid rgba(#000, 0.12);
        padding: 1rem;
        border-radius: 0.5rem;
        margin-bottom: 1rem;
      }
    }
  }

  &__alternatives {
    &_content {
      background-color: #fff;
      border-radius: 5rem;
      margin: 2rem 0;
      box-sizing: border-box;
      padding: 0;
      display: flex;
      align-items: center;
      justify-content: space-between;
      height: 4rem;
      box-shadow: 0 .2rem .5rem rgba(#000, 0.2);
    }

    &_count {
      font-weight: bold;
      font-size: 1.8rem;
      background-color: #dd206f;
      width: 4rem;
      height: inherit;
      border-radius: 2rem;
      display: flex;
      align-items: center;
      justify-content: center;
      color: #fff;
      margin-right: 1rem;
      margin-bottom: 0;
    }

    &_title {
      font-size: 1.4rem;
    }

    &_right {
      background-color: #dd206f;
      padding: 1rem;
      clip-path: polygon(25% 0%, 100% 0%, 100% 100%, 0% 100%);
      height: 100%;
      border-radius: 0 5rem 5rem 0;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    &_left {
      height: 100%;
    }
  }

  &__price {
    font-weight: bold;
    font-size: 2rem;
    letter-spacing: 0.07rem;
  }

  &__name {
    padding: 1rem 0;
    font-weight: 200;
  }
}

.product {
  &__items {
    border-radius: 0.5rem;
    border: 0.1rem solid rgba(#000, 0.12);
    padding: 1rem;
    margin-bottom: 1rem;

    &_name {
      font-size: 1.6rem;
    }

    &_price {
      font-weight: 400;
      font-size: 1.7rem;
    }
  }
}

.domain {
  &__tld {
    margin-bottom: 0.5rem;

    &_container {
      min-height: 30vh;
      height: auto;
      max-height: 50vh;
      overflow-y: scroll;
      padding: 1rem;
     

      &::-webkit-scrollbar {
        width: 12px;
        /* width of the entire scrollbar */
      }

      &::-webkit-scrollbar-thumb {
        background-color: #dd206f;
        /* color of the scroll thumb */
        border-radius: 20px;
        /* roundness of the scroll thumb */
        border: 3px solid #fff;
        /* creates padding around scroll thumb */
      }

      &::-webkit-scrollbar-track {
        background: #Fff;
        /* color of the tracking area */
      }
    }

    &_content {
      align-self: flex-start;
    }

    &_item {
      
      @include boxItem;
      margin-bottom: .5rem;
      padding: 1rem;
    }

    &_name {
      font-size: 2rem;
      font-weight: 500;
    }

    &_cost {
      background-color: #d8e2dc;
      margin-right: 0.5rem;
      color: #56565b;
      padding: 0.2rem 1.5rem;
      border-radius: 0rem;
      font-size: 1.2rem;
    }

    &_header {
      padding: 1rem 0 2rem 0;
    }
  }
}


.billingcycle {
  background-color: #f1f1f1;
  margin-bottom: 1rem;
  padding: 1rem 2rem;
  border-radius: .5rem;
  cursor: pointer;

  &__name {
    margin-left: 1rem;
  }

  &__value {
    font-weight: bold;
    color: #dd206f;
  }
}

@keyframes zoomIn {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}